package com.inca.npbusi.inf.goods;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.inca.np.auth.ClientUserManager;
import com.inca.np.gui.control.CFrame;
import com.inca.np.gui.control.DBTableModel;
import com.inca.npbusi.inf.hov.Zx_su_price_type_hov;
import com.inca.npx.ste.CSteModelAp;
import com.inca.pubsrv.NpbusiDBHelper;
import com.inca.pubsrv.hov.bms_sa_goods_price_hov.Bms_sa_goods_price_hov;
import java.awt.HeadlessException;

public class Inf_goods_ste extends CSteModelAp {
  public Inf_goods_ste(CFrame frame) throws HeadlessException {
    super(frame, "货品对码");
  }
  
  public String getTablename() {
    return "hrp_goods_v";
  }
  
  public String getSaveCommandString() {
    return "com.inca.npbusi.inf.goods.Inf_goods_ste.保存货品对码";
  }
  
  protected void on_itemvaluechange(int row, String colname, String value) {
    if (colname.equals("goodsname")) {
      setItemValue(row, "operatingid", ClientUserManager.getCurrentUser()
          .getUserid());
      setItemValue(row, "operatingperson", 
          ClientUserManager.getCurrentUser().getUsername());
      setItemValue(row, "operatingmac", 
          ClientUserManager.getCurrentUser().getMac());
      setItemValue(row, "operdate", NpbusiDBHelper.getSysdate());
      setItemValue(row, "baseratio", "1");
      setItemValue(row, "priceid", "");
      String goodsid = getItemValue(row, "goodsid");
      String yljgbm = getItemValue(row, "yljgbm");
      Bms_sa_goods_price_hov hov = new Bms_sa_goods_price_hov();
      hov.setOtherwheres(" ((customid is null or customid = " + 
          getItemValue(row, "yljgbm") + ") and goodsid = " + 
          getItemValue(row, "goodsid") + " and entryid=1)");
      DBTableModel model = hov.showDialog(null, "选择货品价格");
      setItemValue(row, "priceid", model.getItemValue(0, "priceid"));
      Zx_su_price_type_hov suhov = new Zx_su_price_type_hov();
      suhov.setOtherwheres("workflag =6 and goodsid=" + 
          getItemValue(row, "goodsid") + " and entryid=" + 
          ClientUserManager.getCurrentUser().getEntryid());
      DBTableModel sumodel = suhov.showDialog(null, "选择货品采购价格");
      setItemValue(row, "supriceid", sumodel.getItemValue(0, "priceid"));
      doSave();
    } 
    super.on_itemvaluechange(row, colname, value);
  }
  
  public String getHovOtherWheres(int row, String colname) {
    if (colname.equals("goodsid"))
      return "goodsid not in(select  nvl(goodsid,0) goodsid from hrp_goods where yljgbm=" + 
        getItemValue(row, "yljgbm") + " )"; 
    if (colname.equals("priceid")) {
      if (getItemValue(row, "goodsid").equals("")) {
        warnMessage("提示", "货品未选择，请先对照货品！！");
        return "1>2";
      } 
      return " ((customid is null or customid = " + 
        getItemValue(row, "yljgbm") + ") and goodsid = " + 
        getItemValue(row, "goodsid") + " and entryid=1)";
    } 
    if (colname.equals("supriceid")) {
      if (getItemValue(row, "goodsid").equals("")) {
        warnMessage("提示", "货品未选择，请先对照货品！！");
        return "1>2";
      } 
      return "( workflag =6 and goodsid=" + getItemValue(row, "goodsid") + 
        " and entryid=" + 
        ClientUserManager.getCurrentUser().getEntryid() + ")";
    } 
    return super.getHovOtherWheres(row, colname);
  }
  
  protected String getOtherWheres() {
    String entryid = ClientUserManager.getCurrentUser().getEntryid();
    return " entryid=" + entryid;
  }
}
